libebook::FB2PContext Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Private Member Functions | List of all members
libebook::FB2PContext Class Reference

`#include <FB2TextContext.h>`

Inheritance diagram for libebook::FB2PContext:

## Public Member Functions
| FB2PContext (FB2ParserContext *parentContext, const FB2BlockFormat &format)
Public Member Functions inherited from libebook::FB2ParaContextBase
| FB2ParaContextBase (FB2ParserContext *parentContext, const FB2BlockFormat &format)
Public Member Functions inherited from libebook::FB2StyleContextBase
| FB2StyleContextBase (FB2ParserContext *parentContext, const FB2Style &style)
Public Member Functions inherited from libebook::FB2ParserContext
| FB2ParserContext (FB2ParserContext *parentContext, FB2Collector *collector=0)
| Create a new context with `parentContext` as parent. More...
virtual FB2XMLParserContext * | leaveContext () const
| Destroy this context and return parent. More...
FB2Collector * | getCollector () const
| Get the collector. More...
FB2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FB2XMLParserContext
virtual | ~FB2XMLParserContext ()=0

## Static Private Member Functions
static FB2BlockFormat | makeBlockFormat (const FB2BlockFormat &format)

## Additional Inherited Members
Protected Member Functions inherited from libebook::FB2StyleContextBase
FB2Style & | getStyle ()
FB2TextFormat & | getTextFormat ()
virtual FB2XMLParserContext * | element (const FB2TokenData &name, const FB2TokenData &ns)
| Create a context for parsing a child element. More...
virtual void | endOfAttributes ()
| Signalize the end of attributes. More...
virtual void | text (const char *value)
| Process textual content of an element. More...

## Constructor & Destructor Documentation

libebook::FB2PContext::FB2PContext | ( | FB2ParserContext * | parentContext,
|  | const FB2BlockFormat & | format
| ) |  |

## Member Function Documentation

FB2BlockFormat libebook::FB2PContext::makeBlockFormat | ( | const FB2BlockFormat & | format | ) |
| staticprivate

The documentation for this class was generated from the following files:

- FB2TextContext.h
- FB2TextContext.cpp